Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.util
Class RepeatExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.RepeatExpression

All Implemented Interfaces:
  ExpressionConstants

Direct Known Subclasses:
  NotParsableExpression, PSTParametersExpression, WhiteSpaces, WhiteSpacesOrEOL

public class RepeatExpression
extends AbstractRegularExpression

an expression that represents a pattern repeating a given number of times

Since:
  jpicedt 1.3
Version:
  $Id: RepeatExpression.java,v 1.4.2.1 2007/09/02 11:56:14 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`RepeatExpression(AbstractRegularExpression expr, int repeat, int mode)`

Method Summary
`boolean` | `interpret(Context c)` Parses this expression, possibly using the given Context to fetch the String to interpret if this Expression is a leaf expression.
`void` | `setPattern(AbstractRegularExpression expr)` set the base-pattern to the given expression
`String` | `toString()`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepeatExpression

    public RepeatExpression(AbstractRegularExpression expr,
                            int repeat,
                            int mode)

Parameters:
  `repeat` - number of times this expression has to be found sequentially ;
  `mode` - EXACTLY, AT_LEAST or AT_MOST

Method Detail

### setPattern

    public void setPattern(AbstractRegularExpression expr)

  set the base-pattern to the given expression

### interpret

    public boolean interpret(Context c)
                      throws REParserException

  Description copied from class: `AbstractRegularExpression`
  Parses this expression, possibly using the given Context to fetch the String to interpret if this Expression is a leaf expression.

  Specified by:
    `interpret` in class `AbstractRegularExpression`
  Returns:
    TRUE if and only if the given "expr" has been found as many times as specified by the "mode" given in the constructor. If TRUE, calls action with : key="*", value=new Integer(number of effective repeat found)
  Throws:
    `REParserException` - if an error occur during parsing

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org